Bug 1571419 - [RFE] Ensure no Data(nfs/iscsi)/ISO/Export Domain is mounted from the Manager
Summary: [RFE] Ensure no Data(nfs/iscsi)/ISO/Export Domain is mounted from the Manager
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-log-collector
Classification: oVirt
Component: analyzer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 18:14 UTC by Andrea Perotti
Modified: 2018-06-12 11:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-12 11:22:50 UTC
oVirt Team: Integration
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Andrea Perotti 2018-04-24 18:14:27 UTC
Description of problem:
If you do a migration from 3.6 to 4.0 you have to create a new machine.
If you forget/do not notice you can have your manager exporting those.

Problem arise when you effectively migrate: the NFS mounts will stop working the SD checks will hang and the whole DC will be soon unavailable.

Would be possible to add a check for all SD in order to ensure that the host is not the manager itself?
Would be better to check both name and IP address

Comment 2 Yaniv Kaul 2018-04-25 07:12:14 UTC
(In reply to Andrea Perotti from comment #0)
> Description of problem:
> If you do a migration from 3.6 to 4.0 you have to create a new machine.
> If you forget/do not notice you can have your manager exporting those.
> 
> Problem arise when you effectively migrate: the NFS mounts will stop working
> the SD checks will hang and the whole DC will be soon unavailable.
> 
> Would be possible to add a check for all SD in order to ensure that the host
> is not the manager itself?
> Would be better to check both name and IP address

And if they are using multiple IPs? Should we enumerate all IPs?

Comment 4 Yaniv Lavi 2018-06-12 11:22:50 UTC
Closing this RFEs, please reopen if still needed.
Patches are always welcome.


Note You need to log in before you can comment on or make changes to this bug.